MUTTPRINT(1)

NOME
muttprint - stampa raffinata della posta elettronica con Mutt

SINTASSI
muttprint [opzioni]... [-f file]

DESCRIZIONE
Questa pagina di manuale documenta brevemente l'utility Muttprint. Questa manpage è stata originariamente scritta per la distribuzione Debian GNU/Linux perché non aveva una propria pagina man, ma adesso ho scritto questa manpage in formato POD.

Muttprint è un'utility che formatta la stampa di Mutt e di altri clients di posta come XFMail o Pine per renderla simile alla stampa ottenuta con Netscape Messenger o Kmail. Può stampare un piccolo pinguino sulla prima pagina e un titolo in ogni pagina. Soprattutto, Muttprint stampa solamente gli headers più importanti scartando tutto ciò che è inutile.

Per le istruzioni dettagliate sull'uso di Muttprint fai riferimento a /usr/share/doc/packages/muttprint/muttprint-doc-XX.html dove XX va sostituito con le due lettere indicanti la tua lingua.

Ad ogni modo devi aggiungere o modificare la seguente linea nel tuo /etc/Muttrc o ~/.muttrc:

        set print_command="muttprint"

Se vuoi personalizzare le impostazioni di Muttprint, copia semplicemente /usr/share/doc/packages/packages/muttprint/sample-muttprintrc in /etc/Muttprintrc o in ~/.muttprintrc se vuoi cambiare le impostazioni solamente per un utente.

Il linguaggio di default di Muttprint è l'inglese se la variabile d'ambiente LANG non è specificata. Ad esempio per l'Italiano dovresti settare:

        export LANG=it_IT

Questo può essere fatto nel tuo ~/.bashrc.

Se Muttprint non stampa emettendo il messaggio "lpr: unable to print file: ...", bisognerà impostarlo per usare una stampante diversa da lp, come ad es. lp5 o tp0 (se usi TurboPrint).

OPZIONI
NOTA BENE: Le opzioni passate da linea di comando ignorano le impostazioni fatte in ~/.muttprintrc e /etc/Muttprintrc.

Ecco una descrizione di tutte le opzioni da linea di comando (una descrizione delle impostazioni nell'rcfile è compresa nel file sample-muttprintrc distribuito con Muttprint):

-h, --help
    Stampa una lista di tutte le possibili opzioni.

-v, --version
    Stampa le versione corrente di Muttprint.

-f file, --file file
    Legge dal file specificato invece che dallo STDIN. Utile con certi clients come XFMail. Se file è -, Muttprint legge dallo STDIN.

-p nome_stampante, --printer nome_stampante
    Usa un'altra stampante invece di quella di default lp o di quella impostata nell'rcfile. Puoi anche stampare in un file usando TO_FILE:/path/to/file come nome della stampante. Se vuoi avere il risultato sullo STDOUT, setta il nome della stampante a -.

-C comando di stampa, --printcommand comando di stampa
    Imposta il comando da usare per stampare in print command. Quindi la stringa $PRINTER viene sostituita dal nome di stampante specificato. Il supporto a CUPS può essere attivato da CUPS; in alternativa puoi usare qualunque comando che contenga la stringa $CUPS_OPTIONS che viene sostituita dalle opzioni usate per CUPS.

-x, --x-face | -nox, --nox-face
    Abilita o disabilita la stampa dell'immagine trasmessa nell'header X-Face:. Leggi la documentazione per una spiegazione dettagliata.

-i file, --penguin file
    Usa file come immagine stampata in alto a destra della pagina. file deve comprendere il percorso completo. Imposta file a off se vuoi che non venga stampato alcunché.

-t numero, --speed numero
    Questo indica il tempo in secondi di cui la tua stampante ha bisogno per ogni singola pagina. E` necessario solamente per stampare fronte-retro (duplex printing). Di default è 30 secondi.

-w numero, --wait numero
    Tempo in secondi che Muttprint deve attendere tra la stampa delle pagine pari e quella delle pagine dispari per la modalità fronte-retro (duplex printing)

-F fontname, --font fontname
    Qui puoi scegliere la tua famiglia di font preferita. Le possibilità sono: Latex, Latex-bright, Times, Utopia, Palatino, Charter e Bookman. Se tutti i fonts sono disponibili sul tuo sistema dipende dai pacchetti LaTeX installati. Di default viene usata Latex.

-H, --headrule | -noH, --noheadrule
    Qui puoi decidere se stampare un righello dopo la topline sulle pagine più grandi di 2.

-b, --footrule | -nob, --nofootrule
    Qui puoi decidere se stampare un righello al di sopra della footline o no.

-S style, --frontstyle style
    Sceglie uno stile per la stampa degli headers sulla prima pagina: plain, border (default), fbox, shadowbox, ovalbox, Ovalbox, doublebox, grey, greybox. Leggi il manuale per una descrizione dettagliata di questi valori.

-a headers, --printed-headers headers
    Specifica gli headers da stampare. Separa ogni header con "_". Gli headers compresi tra * vengono stampati in neretto; usa / per la stampa corsiva. Se un header non esiste verrà omesso. L'ordine saraà lo stesso sullo stampato. Due esempi:

          Date_To_From_CC_Newsgroups_*Subject*   (default)
          /Date/_To_From_X-Mailer_*/Subject/*

-P formato_della_carta, --paper formato_della_carta
    Scegli qui il formato della carta in uso: A4 va bene per la maggior parte dei paesi ("DIN A4" in Germania) e letter in U.S.A.

-l lingua, --lang lingua
    Indica la forma breve per la tua lingua (attualmente supportate: de (Tedesco), en (Inglese) e it (Italiano) in particolare). Di default viene usato l'ambiente LANG, e se questi non è impostato viene usato l'Inglese.

-c charset, --charset charset
    Questa opzione imposta il set di caratteri:

        charset         Opzione di muttprint
        --------------------------------
        ISO-8859-1      latin1
        ISO-8859-2      latin2
        ISO-8859-3      latin3
        ISO-8859-4      latin4
        ISO-8859-9      latin5
        ISO-8859-15     latin9
        KOI8-R                      koi8-r
        Windows-1252    latin1
        Windows-1250    latin2
            UTF-8*          utf8
                            auto
        ---------------------------------

    L'impostazione auto cerca un header del messaggio che contenga il charset dello stesso. Funziona solo in condizioni particolari, per cui usala con cautela.

-e Stringa, --date Stringa
    Questa opzione accetta due impostazioni: original e local. Se usi original, la data sarà stampata invariata da come appare negli headers (la data di invio del messaggio per il sistema che l'ha inviato e nel formato da questi usato). Se impostata a local, la data sarà stampata secondo le modalità locali e secondo la data del sistema. Vedi le opzioni --date-format e --lang.

    Esempi:

            original: Tue, 15 Jan 2002 21:43:49 +0100
            local:    Martedì, 15. Gennaio 2002 21:43:49
                      (Orario italiano)

-E Stringa, --date-format Stringa
    Questa opzione ti permette di cambiare il formato della data (se hai scelto local nell'opzione precedente). L'argomento è is una stringa di formato secondo strftime(3), es.:

            "%A, %d. %B %Y %H:%M:%S" (standard in Italia)
            "%a, %d.%m.%y %H:%M"     (forma ridotta)
            "%Y-%m-%d %H:%M:%S"      (formato ISO)

-A String, --addressformat String
    Con questa opzione puoi impostare come stampare gli indirizzi email. Il valore original non cambia l'header originale. Altrimenti devi specificare una stringa di formato; seguono le sostituzioni che vengono fatte:

        %r      nome ("Il nome della persona")
        %a      indirizzo di posta elettronica
        \n      newline

    Per dafault si avrà %r <%a>,\n. Soprattutto, puoi evidenziare alcune parti in grassetto o in corsivo. Per farlo devi comprenderle tra asterischi ("*") per il grassetto, tra slash ("/") per il corsivo.

    Esempio:

        "/%r/ (%a),"

    Le virgolette sono necessarie perché la stringa contiene spazi, altrimenti la shell la taglierà in due parti.

-n String, --verbatimnormal String
    Questo imposta l'opzione che viene passata all'ambiente Verbatim che è necessaria per stampare il normale testo della mail. Potrai trovare spiegazioni dettagliate nel manuale utente. Alcuni esempi:

        fontshape=it           font italic
        frame=topline          bordo al di sopra del blocco principale
        fontfamily=helvetica   font helvetica
        fontsize=\Huge         font huge

    Per combinare le opzioni devi separare ogni opzione con una virgola, e. g. fontshape=it,fontseries=b.

-V String, --verbatimsig String
    Come per --verbatimnormal, ma questo imposta come verrà stampata la fimra. Se l'argomento è raw, non ci sarà differenza tra il testo normale e la firma.

-D, --debug | -noD, --nodebug
    Indica a Muttprint di appuntare le sue operazioni in un file di log /tmp/muttprint.log. Utile per avere qualche informazione in più del perché Muttprint, eventualmente, non funzioni.

-d, --duplex | -nod, --noduplex
    Abilita o disabilita la stampa fronte-retro (duplex printing). Se abilitato, Muttprint stampa solamente le pagine pari ed attende un po' prima di stampare le pagine dispari.

-2 | -1
    Stampa due pagine in un foglio come mostrato sotto:

            +----------+----------+
            |          |          |
            |          |          |
            |    1     |     2    |
            |          |          |
            |          |          |
            |          |          |
            +----------+----------+

    Questa opzione si chiama papersave mode nel manuale e nell'rcfile.

-g numero, --topmargin numero
    Imposta il margine alto in millimetri.

-G numero, --bottommargin numero
    Imposta il margine basso in millimetri

-j numero, --leftmargin numero
    Imposta il margine sinistro in millimetri.

-J numero, --rightmargin numero
    Imposta il margine destro in millimetri.

-s, --rem_sig | -nos, --norem_sig
    Rimuove la firma (separata da "-- ") dalla stampa finale. Questo è utile quando si ha a che fare con firme molto lunghe. Purtroppo molte persone (o i loro clients di posta) non separano correttamente la firma (signature) dal corpo del messaggio, ed in tal caso questa opzione non funziona.

-q, --rem_quote | -noq, --norem_quote
    Elimina dalla stampa finale il testo citato.

    Muttprint riconosce il quoting con le stesse espressioni regolari di Mutt, quindi dovrebbe funzionare.

-z size, --fontsize size
    Specifica la grandezza del font. I valori possibili sono 10pt, 11pt and 12pt.

-W numero, --wrapmargin numero
    Controlla quanto deve essere la lunghezza della linea più lunga. Quelle che vanno oltre verranno tagliate automaticamente ed il paragrafo verrà riformattato.

-r file, --rcfile file
    Specifica un altro file di configurazione da leggere oltre a /etc/Muttprintrc e a ~/.muttprintrc. Il suo contenuto soprassederà a tutte le altre impostazioni, incluse quelle passate da linea di comando. (Non ha, quindi, senso specificare da linea di comando, opzioni già incluse nel file che state richiamando con l'opzione -f.

FILES

/etc/Muttprintrc
    File di configurazione globale per il sistema.

~/.muttprintrc
    File di configurazione per il singolo utente.

/tmp/muttprint-XXXXX
    Files temporanei creati da Muttprint.

/usr/share/doc/packages/muttprint/
    Manuali di Muttprint in diversi formati e lingue.

/usr/share/muttprint/
    Alcune immagini che possono essere stampate sulla prima pagina della tua posta.

/usr/share/muttprint/translations
    Files di traduzione.

VEDERE ANCHE
mutt(1)

Homepage: http://muttprint.sourceforge.net

COPYRIGHT
(c) 2000-2001 Bernhard Walle

Questo è software libero; guarda il sorgente per le condizioni di copia. Non c'è nessuna garanzia; nemmeno per la commerciabilità o per l'uso in particolari condizioni.

AUTORE
Bernhard Walle <Bernhard.Walle@gmx.de>

MAINTAINER
Lukas Ruf <lukas.ruf@lpr.ch<gt>

TRADUZIONE
Questa traduzione in italiano della pagina man originale in inglese dell'autore è stata realizzata da Roberto Vallone <roberto.vallone@gmx.net>. Sono graditi commenti, correzioni e suggerimenti su questa traduzione.